Red Hat Satellite 6 katello-backup errors out with "sudo: sorry, you must have a tty to run sudo".

Solution In Progress - Updated -

Issue

  • katello-backup fails to run throwing below error.
sudo: sorry, you must have a tty to run sudo
****cancelled****  
Postgres user needs write access to the backup directory
Please select a directory, such as /tmp or /var/tmp which allows Postgres write access
Cleaning up backup folder and starting any stopped services... 

Environment

Red Hat Satellite 6.2

Subscriber exclusive content

A Red Hat subscription provides unlimited access to our knowledgebase of over 48,000 articles and solutions.

Current Customers and Partners

Log in for full access

Log In